DCMTK: DcmInputFileStream Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmInputFileStream Class Reference

input stream that reads from a plain file More...

Inheritance diagram for DcmInputFileStream:

## Public Member Functions
| DcmInputFileStream (const OFFilename &filename, offile_off_t offset=0)
| constructor
virtual | ~DcmInputFileStream ()
| destructor
virtual DcmInputStreamFactory * | newFactory () const
| creates a new factory object for the current stream and stream position.
Public Member Functions inherited from DcmInputStream
virtual | ~DcmInputStream ()
| destructor
virtual OFBool | good () const
| returns the status of the stream.
virtual OFCondition | status () const
| returns the status of the stream as an OFCondition object.
virtual OFBool | eos ()
| returns true if the producer is at the end of stream.
virtual offile_off_t | avail ()
| returns the minimum number of bytes that can be read with the next call to read().
virtual offile_off_t | read (void *buf, offile_off_t buflen)
| reads as many bytes as possible into the given block.
virtual offile_off_t | skip (offile_off_t skiplen)
| skips over the given number of bytes (or less)
virtual offile_off_t | tell () const
| returns the total number of bytes read from the stream so far
virtual OFCondition | installCompressionFilter (E_StreamCompression filterType)
| installs a compression filter for the given stream compression type, which should be neither ESC_none nor ESC_unsupported.
virtual void | mark ()
| marks the current stream position for a later putback operation, overwriting a possibly existing prior putback mark.
virtual void | putback ()
| resets the stream to the position previously marked with setPutbackMark().

## Private Member Functions
| DcmInputFileStream (const DcmInputFileStream &)
| private unimplemented copy constructor
DcmInputFileStream & | operator= (const DcmInputFileStream &)
| private unimplemented copy assignment operator

## Private Attributes
DcmFileProducer | producer_
| the final producer of the filter chain
OFFilename | filename_
| filename

## Additional Inherited Members
Protected Member Functions inherited from DcmInputStream
| DcmInputStream (DcmProducer *initial)
| protected constructor, to be called from derived class constructor
const DcmProducer * | currentProducer () const
| returns pointer to current producer object

## Detailed Description

input stream that reads from a plain file

## Constructor & Destructor Documentation

## ◆ DcmInputFileStream()

DcmInputFileStream::DcmInputFileStream | ( | const OFFilename & | filename,
|  | offile_off_t | offset = 0 )

constructor

Parameters

  filename | name of file to be opened (may contain wide chars if support enabled)
  offset | byte offset to skip from the start of file

Referenced by DcmInputFileStream(), and operator=().

## Member Function Documentation

## ◆ newFactory()

virtual DcmInputStreamFactory * DcmInputFileStream::newFactory | ( |  | ) | const
| virtual

creates a new factory object for the current stream and stream position.

When activated, the factory will be able to create new DcmInputStream delivering the same data as the current stream. Used to defer loading of value fields until accessed. If no factory object can be created (e.g. because the stream is not seekable), returns NULL.

Returns
  pointer to new factory object if successful, NULL otherwise.

Implements DcmInputStream.

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcistrmf.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2